Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
67 Views

OpenCL setup confusion

I'm planning to set up opencl on my linux. After looking around, it looks like the steps should be installing the opencl driver and then the sdk, but there're also conflicting information.

First of all, it seems that the opencl drivers only support up to 7th generation cpu (https://software.intel.com/en-us/articles/opencl-drivers#latest_linux_driver) and I'm using 8th generation, and according to this thread (https://software.intel.com/en-us/forums/opencl/topic/390630), I only need to install the SDK.

On some other random sites, they suggest installing just the runtime package or just some generic ubuntu packages (https://askubuntu.com/questions/850281/opencl-on-ubuntu-16-04-intel-sandy-bridge-cpu).

What should I do?

0 Kudos
1 Reply
Highlighted
67 Views

Sorry for the delayed reply.

The first thing to explain is the packaging.  In general, we distribute

  • driver/runtime packages (containing everything needed for OpenCL apps to run on target systems, though quite often at least limited development is enabled by these packages too)
  • SDK packages, containing tools and experimental CPU implementations

So, for supported systems, you probably want the SDK *and* driver packages for the system you're using for development though the driver package may be sufficient for target machines.

The Ubuntu packages you found look like the Beignet project, which is being deprecated.  

For 8th Generation, it may be possible to get the SRB5 package to work but there are no guarantees.  I am able to do basic OpenCL work on my i5-8250U system using only the SRB5 driver package, but we cannot make the claim for all 8th generation processors and this configuration is not validated.  Please watch this forum and the drivers page for more information on new driver packages as they come out.  

 

0 Kudos